Updates in EPV

Discussion forum for Extension Writers regarding Extension Development.
User avatar
3Di
Registered User
Posts: 12949
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Updates in EPV

Post by 3Di » Thu Nov 09, 2017 6:42 am

Makes sense, that's perfectly fine. Thx.
I preferred to ask - just in case - and provide a feedback as well.
Want to compensate me for my interest? Donate
Please PM me only to request paid works. Thx.
Extensions, Scripts, MOD porting, Update/Upgrades
My development's activity º PhpStorm's proud user

User avatar
Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 24717
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Updates in EPV

Post by Paul » Tue Nov 14, 2017 1:29 pm

You can ignore that message when running locally.
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
posey
Registered User
Posts: 706
Joined: Tue Oct 06, 2009 7:34 pm
Location: The Netherlands
Name: Gijs

Re: Updates in EPV

Post by posey » Thu Dec 07, 2017 10:47 pm

I've been trying various ways of Travis and following other extensions' examples, but I can not get EPV to work.
I keep getting the following error, on build x.1 (corresponding Travis line):

Code: Select all

+composer require phpbb/epv:dev-master --dev --no-interaction --ignore-platform-reqs

 [InvalidArgumentException]                                                   

  Package phpbb/epv at version dev-master has a PHP requirement incompatible   

  with your PHP version (5.4.0.0)

The command "../mrgoldy/ultimateteams-test/travis/prepare-epv.sh $EPV $NOTESTS" failed and exited with 1 during .
GitHub Ultimate Teams test repository

Any help would be appreciated.
''I'm pretty sure there's a lot more to life than being really, really, ridiculously good looking. And I plan on finding out what that is.''

User avatar
3Di
Registered User
Posts: 12949
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Updates in EPV

Post by 3Di » Fri Dec 08, 2017 4:27 am

From the Shell (Git Bash is what I use) of your computer do:

Code: Select all

git update-index --chmod=+x travis/prepare-phpbb.sh
git update-index --chmod=+x travis/prepare-epv.sh
then push those 2 files to the repo.

As well do:

Code: Select all

sudo: false
dist: precise
in your travis.yml file (and remove those 2 chmod from it) and push it.

Have a look to my repo, it works flawlessly:
https://github.com/3D-I/tpotm/blob/master/.travis.yml

Hope this helps.
Want to compensate me for my interest? Donate
Please PM me only to request paid works. Thx.
Extensions, Scripts, MOD porting, Update/Upgrades
My development's activity º PhpStorm's proud user

User avatar
posey
Registered User
Posts: 706
Joined: Tue Oct 06, 2009 7:34 pm
Location: The Netherlands
Name: Gijs

Re: Updates in EPV

Post by posey » Fri Dec 08, 2017 10:54 am

3Di wrote:
Fri Dec 08, 2017 4:27 am
From the Shell (Git Bash is what I use) of your computer do:

Code: Select all

git update-index --chmod=+x travis/prepare-phpbb.sh
git update-index --chmod=+x travis/prepare-epv.sh
then push those 2 files to the repo.

As well do:

Code: Select all

sudo: false
dist: precise
in your travis.yml file (and remove those 2 chmod from it) and push it.

Have a look to my repo, it works flawlessly:
https://github.com/3D-I/tpotm/blob/master/.travis.yml

Hope this helps.
I have copied your set up exactly (.travis.yml, /travis/prepare-epv.sh, and /travis/prepare-phpbb.sh), but I still get the same buid error on build .1:

Code: Select all

[InvalidArgumentException]                                                   

  Package phpbb/epv at version dev-master has a PHP requirement incompatible   

  with your PHP version (5.4.0.0)
''I'm pretty sure there's a lot more to life than being really, really, ridiculously good looking. And I plan on finding out what that is.''

User avatar
RMcGirr83
Recognised Extension Developer
Posts: 20932
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Updates in EPV

Post by RMcGirr83 » Fri Dec 08, 2017 11:25 am

3Di wrote:
Fri Dec 08, 2017 4:27 am
Hope this helps.
Marco, make a slight change to one of your files, like the readme.md, and commit it and see if it still passes.

I am having the same issue as the OP and according to Paul and Joas neither know why so I would be curious as to if your build still passes after making a slight change.
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored

User avatar
3Di
Registered User
Posts: 12949
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Updates in EPV

Post by 3Di » Fri Dec 08, 2017 6:18 pm

RMcGirr83 wrote:
Fri Dec 08, 2017 11:25 am
3Di wrote:
Fri Dec 08, 2017 4:27 am
Hope this helps.
Marco, make a slight change to one of your files, like the readme.md, and commit it and see if it still passes.

I am having the same issue as the OP and according to Paul and Joas neither know why so I would be curious as to if your build still passes after making a slight change.
Confirmed it fails with the same error on the first build only https://prntscr.com/hkwjvr :|
/me going to exclude EPV on that repo since at the moment I don't need to make further coding on it.
Want to compensate me for my interest? Donate
Please PM me only to request paid works. Thx.
Extensions, Scripts, MOD porting, Update/Upgrades
My development's activity º PhpStorm's proud user

User avatar
Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 24717
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Updates in EPV

Post by Paul » Fri Dec 08, 2017 7:34 pm

We know regarding it, but we haven't found the cause for it yet. Hopefully soon...
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
kasimi
Extension Customisations
Extension Customisations
Posts: 3234
Joined: Sat Sep 10, 2011 7:12 pm
Location: Germany
Contact:

Re: Updates in EPV

Post by kasimi » Fri Dec 08, 2017 10:31 pm

This seems to be a bug in composer: https://github.com/composer/composer/issues/6859

A temporary solution is to downgrade to 1.5.2: https://github.com/kasimi/mChat/commit/ ... 139a46e592

User avatar
3Di
Registered User
Posts: 12949
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Updates in EPV

Post by 3Di » Fri Dec 08, 2017 11:00 pm

^^ Thanks :)
Want to compensate me for my interest? Donate
Please PM me only to request paid works. Thx.
Extensions, Scripts, MOD porting, Update/Upgrades
My development's activity º PhpStorm's proud user

User avatar
Sajaki
Registered User
Posts: 1350
Joined: Mon Mar 02, 2009 1:41 pm
Name: Andreas
Contact:

Re: Updates in EPV

Post by Sajaki » Wed Dec 13, 2017 6:59 pm


User avatar
Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 24717
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Updates in EPV

Post by Paul » Wed Dec 13, 2017 7:51 pm

Did you read the messages just above yours?
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
Sajaki
Registered User
Posts: 1350
Joined: Mon Mar 02, 2009 1:41 pm
Name: Andreas
Contact:

Re: Updates in EPV

Post by Sajaki » Wed Dec 13, 2017 8:59 pm

Sajaki wrote:
Wed Dec 13, 2017 6:59 pm
hi,

how do i fix this https://travis-ci.org/Sajaki/RankPostSt ... /316028876 ?
the composer downgrade workaround from Kasimi seemed to fix the issue.
https://github.com/Sajaki/RankPostStyli ... bb4102194e

andreask
Registered User
Posts: 459
Joined: Fri Feb 27, 2009 6:13 pm
Name: Andreas

Re: Updates in EPV

Post by andreask » Sat Dec 30, 2017 5:54 pm

No matter what I do I get the same result...

https://travis-ci.org/andreaskou/PHPBB_ ... /323216895

I've done all the suggested changes in this topic but I still get the

Code: Select all

The command "../andreask/ium/travis/prepare-epv.sh $EPV $NOTESTS" failed and exited with 127 during .
Any help would be appreciated!

Update...
changing dist to trusty...
I receive this error...

Code: Select all

The command "travis/setup-phpbb.sh $DB $TRAVIS_PHP_VERSION $NOTESTS" failed and exited with 1 during .
Previous error was because the prepare-epv.sh could not be found (of course the file is there), but for this error there is no indication of what is wrong... :(
And if I switch back to precise I get the old error :)
Here is what I am working on right now...
Inactive User Manager for phpBB
Give it a try...
If you would like to buy me a bier ;) for my work I will drink it on a hot summer day and thank you!!!

User avatar
AbaddonOrmuz
Registered User
Posts: 389
Joined: Wed Dec 25, 2013 9:06 pm
Location: /dev/null
Name: Alfredo Ramos
Contact:

Re: Updates in EPV

Post by AbaddonOrmuz » Sat Dec 30, 2017 10:27 pm

andreask wrote:
Sat Dec 30, 2017 5:54 pm
No matter what I do I get the same result...

https://travis-ci.org/andreaskou/PHPBB_ ... /323216895

I've done all the suggested changes in this topic but I still get the

Code: Select all

The command "../andreask/ium/travis/prepare-epv.sh $EPV $NOTESTS" failed and exited with 127 during .
Any help would be appreciated!
You're using the wrong path:

You have: ../andreask/ium/travis/prepare-epv.sh
It should be: ../andreaskou/PHPBB_IUM/travis/prepare-epv.sh
andreask wrote:
Sat Dec 30, 2017 5:54 pm
Update...
changing dist to trusty...
I receive this error...

Code: Select all

The command "travis/setup-phpbb.sh $DB $TRAVIS_PHP_VERSION $NOTESTS" failed and exited with 1 during .
Previous error was because the prepare-epv.sh could not be found (of course the file is there), but for this error there is no indication of what is wrong... :(
And if I switch back to precise I get the old error :)
The file travis/setup-phpbb.sh needs sudo, so you can't use it with container-based images, your .travis.yml must have sudo: required otherwise it won't work.
A proudly user of Arch Linux :: /r/sddm_themes

Post Reply

Return to “Extension Writers Discussion”

Who is online

Users browsing this forum: No registered users and 9 guests

cron